/**
 * \file EspaceI.h
 * Classe de gestion d'une matrice d'int.
 * 
 * @author Nicolas Janey
 * @author nicolas.janey@univ-fcomte.fr
 * @version 1.0, 01/01/10
 */

#ifndef ____ESPACEI____
#define ____ESPACEI____

/**
 * \class EspaceI
 * Classe de gestion d'une matrice d'int.
 * 
 * @author Nicolas Janey
 * @author nicolas.janey@univ-fcomte.fr
 * @version 1.0, 01/01/10
 */

class EspaceI {

  public :
    int dx ;
    int dy ;
    int **p ;
    int good;

  public :
    EspaceI(int dx,int dy) ;
    EspaceI(EspaceI *dd) ;
    ~EspaceI(void) ;
    void init(int v) ;
    void init(unsigned char v) ;
    int cherche(int x,int y) ;
    void sauve(int c,int x,int y) ;
    long getUsedMemory(void);
    int getUsedHandles(void);
} ;

#endif
